NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.ModelingViewList Class Reference

Represents a list of objects. More...

Inheritance diagram for NXOpen.ModelingViewList:

Public Member Functions

unsafe void Append (NXOpen.ModelingView[] objects)
 Appends a set of objects to the list More...
 
unsafe void Append (NXOpen.ModelingView @object)
 Appends an object to the list More...
 
unsafe void ClearIndex (int deleteIdx)
 Deletes the item at the index specified. More...
 
unsafe int FindIndex (NXOpen.ModelingView obj)
 Finds the index where the input object appears. More...
 
unsafe NXOpen.ModelingView FindItem (int index)
 Returns the object at the input index. More...
 
unsafe void Erase (int index)
 Erases the object from the list, but does not delete the object. More...
 
unsafe void Erase (int index, NXOpen.ObjectList.DeleteOption deleteOption)
 Erases the object at the given position from the list. More...
 
unsafe void Erase (NXOpen.ModelingView obj)
 Erases the object from the list, but does not delete the object. More...
 
unsafe void Erase (NXOpen.ModelingView obj, NXOpen.ObjectList.DeleteOption deleteOption)
 Erases the object from the list. More...
 
unsafe void Clear ()
 Clears the entire list without deleting the objects. More...
 
unsafe void Clear (NXOpen.ObjectList.DeleteOption deleteOption)
 Clears the entire list More...
 
unsafe NXOpen.ModelingView[] GetContents ()
 Gets the contents of the entire list More...
 
unsafe void SetContents (NXOpen.ModelingView[] objects)
 Sets the contents of the entire list. More...
 
unsafe void Swap (int index1, int index2)
 Exchanges the position of two objects inside the list. More...
 
unsafe void Swap (NXOpen.ModelingView object1, NXOpen.ModelingView object2)
 Exchanges the position of two objects inside the list. More...
 
unsafe void Insert (int location, NXOpen.ModelingView @object)
 Inserts an object at the specified location More...
 
unsafe void MoveToTop (int index)
 Move object at the specified location to the top of the list. More...
 
unsafe void MoveToBottom (int index)
 Move object at the specified location to the bottom of the list. More...
 

Properties

unsafe int Length [get]
 Returns the length of the list More...
 

Detailed Description

Represents a list of objects.

To create a new instance of this class, use NXOpen.Part.CreateObjectList

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.ModelingViewList.Append ( NXOpen.ModelingView[]  objects)

Appends a set of objects to the list

Created in NX4.0.0

License requirements: None.

Parameters
objectsitems to append
unsafe void NXOpen.ModelingViewList.Append ( NXOpen.ModelingView object)

Appends an object to the list

Created in NX5.0.0

License requirements: None.

Parameters
objectitem to append
unsafe void NXOpen.ModelingViewList.Clear ( )

Clears the entire list without deleting the objects.

The caller is responsible for accounting for these objects. If they are not used or deleted by the time the part is closed (in other words, leaked) an error will occur

Created in NX5.0.0

License requirements: None.

unsafe void NXOpen.ModelingViewList.Clear ( NXOpen.ObjectList.DeleteOption  deleteOption)

Clears the entire list

Created in NX5.0.0

License requirements: None.

Parameters
deleteOptionwhether to delete the objects when removing them
unsafe void NXOpen.ModelingViewList.ClearIndex ( int  deleteIdx)

Deletes the item at the index specified.

The size of the list does * not change, but the item at this index is set to NULL.

Created in NX4.0.0

License requirements: None.

Parameters
deleteIdxindex of item to be deleted
unsafe void NXOpen.ModelingViewList.Erase ( int  index)

Erases the object from the list, but does not delete the object.

The list is shifted so that there isn't a null where the object used to be.

Created in NX5.0.0

License requirements: None.

Parameters
indexindex of item to be removed from the list
unsafe void NXOpen.ModelingViewList.Erase ( int  index,
NXOpen.ObjectList.DeleteOption  deleteOption 
)

Erases the object at the given position from the list.

The list is shifted so that there isn't a null where the object used to be.

Created in NX5.0.0

License requirements: None.

Parameters
indexindex of item to be removed from the list
deleteOptionwhether to delete the object
unsafe void NXOpen.ModelingViewList.Erase ( NXOpen.ModelingView  obj)

Erases the object from the list, but does not delete the object.

The list is shifted so that there isn't a null where the object used to exist.

Created in NX5.0.0

License requirements: None.

Parameters
objobject to be removed from the list
unsafe void NXOpen.ModelingViewList.Erase ( NXOpen.ModelingView  obj,
NXOpen.ObjectList.DeleteOption  deleteOption 
)

Erases the object from the list.

The list is shifted so that there isn't a null where the object used to exist.

Created in NX5.0.0

License requirements: None.

Parameters
objobject to be removed from the list
deleteOptionwhether to delete the object
unsafe int NXOpen.ModelingViewList.FindIndex ( NXOpen.ModelingView  obj)

Finds the index where the input object appears.

If it does not appear, * -1 is returned.

Created in NX4.0.0

License requirements: None.

Parameters
objObject to find index for
Returns
index of input object, -1 if not on list
unsafe NXOpen.ModelingView NXOpen.ModelingViewList.FindItem ( int  index)

Returns the object at the input index.

May be NULL.

Created in NX4.0.0

License requirements: None.

Parameters
indexindex of object to return
Returns
object found at input index
unsafe NXOpen.ModelingView [] NXOpen.ModelingViewList.GetContents ( )

Gets the contents of the entire list

Created in NX5.0.0

License requirements: None.

Returns
The list contents
unsafe void NXOpen.ModelingViewList.Insert ( int  location,
NXOpen.ModelingView object 
)

Inserts an object at the specified location

Created in NX5.0.0

License requirements: None.

Parameters
locationlocation at which to insert the object
objectobject to be inserted
unsafe void NXOpen.ModelingViewList.MoveToBottom ( int  index)

Move object at the specified location to the bottom of the list.

Created in NX10.0.0

License requirements: None.

Parameters
indexlocation of the item
unsafe void NXOpen.ModelingViewList.MoveToTop ( int  index)

Move object at the specified location to the top of the list.

Created in NX10.0.0

License requirements: None.

Parameters
indexlocation of the item
unsafe void NXOpen.ModelingViewList.SetContents ( NXOpen.ModelingView[]  objects)

Sets the contents of the entire list.

This overwrites the previous contents of this list, but does not delete any objects that were originally on the list.

Created in NX5.0.0

License requirements: None.

Parameters
objectsThe list contents
unsafe void NXOpen.ModelingViewList.Swap ( int  index1,
int  index2 
)

Exchanges the position of two objects inside the list.

The first object is placed where the second used to be, and second object where the first used to be.

Created in NX5.0.0

License requirements: None.

Parameters
index1location of the first item
index2location of the second item
unsafe void NXOpen.ModelingViewList.Swap ( NXOpen.ModelingView  object1,
NXOpen.ModelingView  object2 
)

Exchanges the position of two objects inside the list.

The first object is placed where the second used to be, and second object where the first used to be.

Created in NX5.0.0

License requirements: None.

Parameters
object1first item
object2second item

Property Documentation

unsafe int NXOpen.ModelingViewList.Length
get

Returns the length of the list

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.